Delegation
curl --request GET \
--url https://cosmos-rest.publicnode.com/cosmos/staking/v1beta1/validators/{validatorAddr}/delegations/{delegatorAddr}import requests
url = "https://cosmos-rest.publicnode.com/cosmos/staking/v1beta1/validators/{validatorAddr}/delegations/{delegatorAddr}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://cosmos-rest.publicnode.com/cosmos/staking/v1beta1/validators/{validatorAddr}/delegations/{delegatorAddr}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"delegation_response": {
"delegation": {
"delegator_address": "<string>",
"validator_address": "<string>",
"shares": "<string>"
},
"balance": {
"denom": "<string>",
"amount": "<string>"
}
}
}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}staking
Delegation
gRPC: cosmos.staking.v1beta1.Query/Delegation (reference)
Delegation queries delegate info for given validator delegator pair.
GET
/
cosmos
/
staking
/
v1beta1
/
validators
/
{validatorAddr}
/
delegations
/
{delegatorAddr}
Delegation
Path Parameters
validator_addr defines the validator address to query for.
delegator_addr defines the delegator address to query for.
Response
A successful response.
QueryDelegationResponse is response type for the Query/Delegation RPC method.
delegation_responses defines the delegation info of a delegation.
Show child attributes
Show child attributes
Was this page helpful?